Bug 197050 - CVE-2006-1494 PHP tempname open_basedir issue
Summary: CVE-2006-1494 PHP tempname open_basedir issue
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: php (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=low,reported=20060410,source=c...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-28 10:18 UTC by Joe Orton
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version: RHSA-2006-0567
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 12:07:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0567 normal SHIPPED_LIVE Moderate: php security update 2006-07-25 04:00:00 UTC

Description Joe Orton 2006-06-28 10:18:30 UTC
+++ This bug was initially created as a clone of Bug #189591 +++

PHP tempname open_basedir issue

http://securityreason.com/achievement_securityalert/36

tempname open_basedir issue.  It's possible to break out of your
open_basedir restricted path.

We've fixed issues similar to this in the past, but did claim it's a
case of safe mode not being safe:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=147808


This issue also affects RHEL3
This issue also affects RHEL2.1

Comment 4 Red Hat Bugzilla 2006-07-25 12:07:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0567.html



Note You need to log in before you can comment on or make changes to this bug.